# $Revision: 1.74 $, $Date: 2007-02-12 21:23:50 $
#
# TODO:
#		- update add,noxinet,pl.po-update patches
#
Summary:	Updates and queries runlevel information for system services
Summary(de.UTF-8):	Aktualisiert runlevel-Informationen für Systemdienste und fragt diese ab
Summary(es.UTF-8):	Herramienta para actualizar y listar servicios del sistema, por nivel de ejecución (runlevel)
Summary(fr.UTF-8):	Mises à jour et interrogations des services systèmes
Summary(ja.UTF-8):	/etc/rc.d の階層をメンテナンスするためのシステムツール
Summary(pl.UTF-8):	Narzędzie do aktualizacji i odpytywania o informacje nt serwisów systemowych
Summary(pt.UTF-8):	Ferramenta para atualizar e listar serviços do sistema, pelo nível de execução (runlevel)
Summary(ru.UTF-8):	Системная утилита для управления иерархией /etc/rc.d
Summary(tr.UTF-8):	Sistem servis bilgilerini sorgular ve yeniler
Summary(uk.UTF-8):	Системна утиліта для керування ієрархією /etc/rc.d
Name:		chkconfig
Version:	1.3.20
Release:	0.4
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	a993765a3fcd0c0cd891e16022e35d13
#Patch0:		%{name}-add.patch
#Patch1:		%{name}-noxinet.patch
#Patch2:		%{name}-pl.po-update.patch
Patch5:		%{name}-more_readable.patch
Patch6:		%{name}-rc.d.patch
Patch7:		%{name}-nostatic.patch
Patch8:		%{name}-optflags.patch
Patch9:		%{name}-pl.patch
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	newt-devel
BuildRequires:	popt-devel
#BuildRequires:	slang-devel >= 2.0.0
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chkconfig provides a simple command-line tool for maintaining the
/etc/rc.d directory hierarchy by relieving system administrators of
directly manipulating the numerous symbolic links in that directory.

%description -l de.UTF-8
chkconfig bietet ein einfaches Befehlszeilen-Tool zum Verwalten der
Verzeichnishierarchie /etc/rc.d, indem es dem Systemadministrator das
direkte Bearbeiten der zahlreichen symbolischen Verknüpfungen in
diesem Verzeichnis abnimmt.

%description -l es.UTF-8
Chkconfig provee una herramienta sencilla en la línea de comando para
mantener la jerarquía de directorios /etc/rc.d, atenuando los
administradores del sistema del manejo directo de numerosos links
simbólicos.

%description -l fr.UTF-8
chkconfig offre un outil simple en ligne de commande pour maintenir la
hiérarchie du répertoire /etc/rc.d tout en évitant aux administrateurs
système de manipuler les différents liens symbolique de ce répertoire.

%description -l ja.UTF-8
chkconfig
は基本的なシステムユーティリティである。これはシステムサービスの
runlevel の情報をアップデートや検証する。chkconfig は /etc/rc.d の
多数のシンボリックリンクを操作しますので、システム管理者は手動で
シンボリックリンクをたびたびエディットしなくてもよい。

%description -l pl.UTF-8
Pakiet chkconfig udostępnia proste narzędzia do zarządzania
zawartością katalogów w /etc/rc.d .

%description -l pt_BR.UTF-8
Chkconfig provê uma ferramenta simples na linha de comando para manter
a hierarquia de diretórios /etc/rc.d, aliviando os administradores do
sistema da manipulação direta de numerosos links simbólicos.

%description -l ru.UTF-8
chkconfig - это простая утилита командной строки, предназначенная для
управления иерархией /etc/rc.d, освобождающая системного
администратора от необходимости вручную создавать/удалять
многочисленные симлинки в этом каталоге.

%description -l tr.UTF-8
Sağladığı basit bir komut satırı programı yardımıyla, /etc/rc.d
dizinlerinin yapısıyla ilgilenerek sistem yöneticilerinin bu
dizinlerde bulunan çok sayıdaki simgesel bağlantıyı düzenleme işini
hafifletir.

%description -l uk.UTF-8
chkconfig - це проста утиліта командного рядка, призначена для
керування ієрархією /etc/rc.d, яка звільняє системного адміністратора
від необхідності вручну створювати/видаляти численні символьні
посилання в цьому каталозі.

%package -n ntsysv
Summary:	Full-screen interface for configurating runlevel information
Summary(es.UTF-8):	Interface con menús para configuración de información de niveles de ejecución
Summary(ja.UTF-8):	/etc/rc.d 階階層をメンテナンスするシステムツール
Summary(pl.UTF-8):	Pełnoekranowy interfejs do wybierania działających usług systemowych
Summary(pt.UTF-8):	Interface com menus para configuração de informações de níveis de execução
Summary(ru.UTF-8):	Полноэкранный интерфейс для настройки уровней исполнения
Summary(uk.UTF-8):	Повноекранний інтерфейс для налагодження рівнів виконання
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n ntsysv
ntsysv provides a full-screen tool for updating the /etc/rc.d
directory hierarchy, which controls the starting and stopping of
system services.

%description -n ntsysv -l es.UTF-8
ntsysv ofrece una herramienta basada en menús para actualizar la
jerarquía de directorios /etc/rc.d, que controla el arranque y el
cierre de servicios del sistema.

%description -n ntsysv -l ja.UTF-8
ntsysv はシステムサービスの runlevel の情報をアップデートや検証する。
ntsysv は システム管理者が直接/etc/rc.d の多数のシンボリックリンクを
操作することから解放する。

%description -n ntsysv -l pl.UTF-8
ntsysv udostępnia pełnoekranowe narzędzie do aktualizowania zawartości
katalogów w /etc/rc.d, które kontrolują włączanie i wyłączanie
poszczególnych serwisów systemowych.

%description -n ntsysv -l pt_BR.UTF-8
O ntsysv fornece uma ferramenta baseada em menus para atualizar a
hierarquia de diretórios /etc/rc.d, que controla a inicialização e a
terminação de serviços do sistema.

%description -n ntsysv -l ru.UTF-8
ntsysv - это полноэкранная утилита для обновления и изменения иерархии
каталогов /etc/rc.d, которые управляют запуском и остановкой системных
сервисов.

%description -n ntsysv -l uk.UTF-8
ntsysv - це повноекранна утиліта для оновлення та зміни ієрархії
каталогів /etc/rc.d, котрі керують запуском та зупинкою системних
сервісів.

%package -n alternatives
Summary:	Maintain symbolic links determining default commands
Summary(pl.UTF-8):	Utrzymywanie dowiązań symbolicznych określających domyślne polecenia
Group:		Applications/System

%description -n alternatives
alternatives creates, removes, maintains and displays information
about the symbolic links comprising the alternatives system. The
alternatives system is a reimplementation of the Debian alternatives
system. It was rewritten primarily to remove the dependence on perl;
it is intended to be a drop in replacement for Debian's
update-alternatives script.

%description -n alternatives -l pl.UTF-8
alternatives tworzy, usuwa, utrzymuje i wyświetla informacje o
dowiązaniach symbolicznych obejmujących system alternatyw. System
alternatyw to reimplementacja systemu alternatyw ("alternatives") z
Debiana. Została napisana głównie w celu usunięcia zależności od
perla; ma być zamiennikiem skryptu update-alternatives z Debiana.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

#mv -f po/{eu_ES,eu}.po
mv -f po/{no,nb}.po
mv -f po/{sr,sr@Latn}.po
#mv -f po/{zh,zh_TW}.po
#mv -f po/{zh_CN.GB2312,zh_CN}.po

%build
%if 0
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-max-level=6
%endif
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/{init,rc{0,1,2,3,4,5,6}}.d,env.d},/sbin}

%{__make} install \
	MANDIR=%{_mandir} \
	instroot=$RPM_BUILD_ROOT

%find_lang %{name}

cat <<EOF > $RPM_BUILD_ROOT/etc/env.d/CHKCONFIG_ON
# display custom string instead of "on" (or its translation)
#CHKCONFIG_ON="*****"
EOF
cat <<EOF > $RPM_BUILD_ROOT/etc/env.d/CHKCONFIG_OFF
# display custom string instead of "off" (or its translation)
#CHKCONFIG_OFF="-----"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/chkconfig
%{_mandir}/man8/chkconfig.8*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*

%files -n ntsysv
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ntsysv
%{_mandir}/man8/ntsysv.8*

%files -n alternatives
%defattr(644,root,root,755)
%dir %{_sysconfdir}/alternatives
%attr(755,root,root) %{_sbindir}/alternatives
%attr(755,root,root) %{_sbindir}/update-alternatives
%dir /var/lib/alternatives
%{_mandir}/man8/alternatives.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chkconfig.spec,v $
Revision 1.74  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.73  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.72  2007/01/15 14:52:01  qrczak
- Shortened pl translation so --list table fits on a standard terminal.
- Release 0.4

Revision 1.71  2006/06/19 20:24:37  pluto
- TODO -= optflags, release 0.3 for rebuild with new libnewt soname.

Revision 1.70  2005/10/24 20:48:51  qboosh
- s/update-dependencies/update-alternatives/ (mistake in man page?)

Revision 1.69  2005/10/24 20:47:33  qboosh
- pl for alternatives, udpated todo

Revision 1.68  2005/10/22 15:22:46  glen
- drop patches unusable in this version (will remove from cvs when all patches reviewed)

Revision 1.67  2005/10/22 13:47:23  twittner
- -more_readable.patch is back (updated for 1.3.20)

Revision 1.66  2005/10/22 13:24:06  glen
- moved from DEVEL

Revision 1.65.2.2  2005/10/22 12:54:26  glen
- added rc.d and nostatic patches, pass CC

Revision 1.65.2.1  2005/10/22 12:33:11  glen
- 1.3.20 from fedora
- added alternatives package

Revision 1.65  2005/09/16 07:32:27  arekm
- BR new slang

Revision 1.64  2005/08/04 21:01:38  twittner
- changed -more_readable.patch: check CHKCONFIG_ON / CHKCONFIG_OFF env.
  var. - if defined display their contents instead of "on" / "off" or their
  translation.
- removed mr bcond
- added CHKCONFIG_{ON,OFF} to /etc/env.d/
- rel. 11

Revision 1.63  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.62  2004/08/06 19:21:03  ankry
- rel. 10

Revision 1.61  2004/05/22 10:33:30  adgor
- Added %bcond_with mr (applies more_readable.patch)

Revision 1.60  2004/05/14 10:19:01  qboosh
- added link patch to avoid chkconfig dependency on newt; release 9

Revision 1.59  2004/02/04 13:45:43  qboosh
- updated ponames patch, more locale moves: no->nb, sr->sr@Latn; release 8

Revision 1.58  2003/12/12 12:23:41  baggins
- release 7
- removed more-readable, it's better to fix the pl translation than to make
  the program inconsistent with the rest of the world

Revision 1.57  2003/12/03 22:09:24  twittner
- use asteriskes and dashes in all languages for chkconfig --list
  (added chkconfig-more_readable.patch)
- Release 6

Revision 1.56  2003/12/03 00:55:23  twittner
- killed wył/wł in polish translation (chkconfig-pl.po-update.patch).
  Back to ---/*** - it is far more readable.
- release 5. STBR for Ac.

Revision 1.55  2003/08/30 21:29:38  mmazur
- rel 4 for ac

Revision 1.54  2003/08/06 16:46:06  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.53  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.52  2003/06/21 07:00:31  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.51  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.50  2003/05/25 05:46:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/05/17 22:33:23  kloczek
- merge translations from Kondara.

Revision 1.48  2003/02/19 12:28:58  qboosh
- added ponames patch to standardize .po dir names; release 3

Revision 1.47  2003/02/18 22:35:37  qboosh
- argh, fixed broken add patch
- cleanups, added pl.po-update patch
- removed Prereq: popt - shouldn't be necessary now (rpm has been fixed)
- release 2

Revision 1.46  2003/01/30 07:40:30  trojan
- added --with-max-level=6 (configure didn't detect properly max runlevel
  on builders?)

Revision 1.45  2003/01/22 12:06:18  trojan
- updated to 1.2.24h

Revision 1.44  2002/04/25 16:05:02  arturs
- fixed a small typo

Revision 1.43  2002/04/03 15:56:32  kloczek
- added Epoch: 1 (for allow upgrade from current RH version).

Revision 1.42  2002/04/03 15:55:16  kloczek
- release 5: merge translations from KSI and Conectiva.

Revision 1.41  2002/04/03 11:25:18  qboosh
- better pl, added BR: gettext-devel

Revision 1.40  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/18 02:12:33  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2001/06/15 15:52:31  baggins
- release 4
- requires rc-scripts

Revision 1.36  2001/04/05 22:38:22  qboosh
- fixed chkconfig-add patch (it just didn't work because of one missing change)
- use %rpm{c,ld}flags macros
- release 3

Revision 1.35  2001/03/25 01:42:05  kloczek
- updated to 1.2.22.

Revision 1.34  2001/03/25 00:07:58  qboosh
- noxinet patch to remove xinetd stuff - we use rc-inetd instead

Revision 1.33  2001/03/16 18:02:37  qboosh
- popt patch: use shared libpopt
- adapterized, rpm automation (man gzipping), %{debug} ready

Revision 1.32  2001/03/14 09:43:34  wiget
- first step to ver 1.2.16

Revision 1.31  2000/09/03 09:59:27  saq
- using chkconfig-add.patch
- new release

Revision 1.30  2000/08/25 00:12:27  mis
- removed /etc/rc.d/rc? dirs, they are in rc-scripts

Revision 1.29  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.28  2000/05/27 10:33:16  zagrodzki
- release ++

Revision 1.27  2000/05/24 16:24:40  zagrodzki
- popt moved back to prereq

Revision 1.26  2000/05/24 14:22:52  zagrodzki
- moved popt to Requires:
- release++

Revision 1.25  2000/05/18 16:58:02  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/30 17:17:28  zagrodzki
- prereq: popt

Revision 1.22  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.21  1999/09/24 23:20:04  kloczek
- cosmetics.

Revision 1.20  1999/09/24 13:16:11  wiget
- removed unneeded patch

Revision 1.19  1999/09/24 12:33:40  wiget
- upgraded 1.0.7

Revision 1.18  1999/08/01 23:30:46  kloczek
- cosmetics changes.

Revision 1.17  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 21 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.0.5-1]
- updated to 1.0.5,
- removed man group from man pages,
- added %defattr description in %files -n ntsysv,
- replacements in %files,
- added gzipping man pages,
- added %dir macros,
- fixed Requires in ntsysv,
- cosmetic changes,
- recompiled on rpm 3.

* Tue Jan 26 1999 Michał Kuratczyk <kurkens@polbox.com>
  [0.9.5-3]
- fixed pl translation,
- added "Group(pl)",
- cosmetics changes in %files.

* Thu Oct 15 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.5-2]
- added -q %setup parameter,
- changed Buildroot to /tmp/%{name}-%{version}-root,
- added using %{name} and %{version} in Source,
- added %lang macros for files %{_datadir}/locale/*/LC_MESSAGES/chkconfig.mo
- added pl translation,
- fiew simplification in %files and %install,
- added "Requires: chkconfig = %{version}" for ntsysv,
- added full %attr description in %files.
